// sleep.java
import lbg.protocol.api.GridApplication;
import lbg.protocol.data.GridData;

public class sleep implements GridApplication {

    public void setParameters(Object[] parameters) {

	/*
        if ((parameters == null) || (parameters.length != 1) ||
            (parameters[0] instanceof String == false)) {
	    throw new IllegalArgumentException("illegal parameters");
        }
	*/

	try {
	    if ((parameters != null) && (parameters.length == 1)) {
		this.s = Integer.valueOf((String)parameters[0]);
	    }
	}
	catch (NumberFormatException e) {
	    this.s = DEFAULT_SLEEP_LEN;
	}

    }

    public void setSupplier(String supplier_id) { }
    
    public void setPlaypen(String playpen_dir) {

      // the Grid application may read/write temp files from/to playpen_dir

    }

    public void setInputData(GridData[] datas) { }
    
    public void compute() {

        System.out.println("Dozing off... ZZZ...");
        try { Thread.sleep(this.s*1000); }
	catch (InterruptedException e) { }
        System.out.println("Waking up");

    }
    
    public byte[] getResult(){

	return new String("Slept "+this.s+" seconds").getBytes();

    }

    // not required, for testing purposes only
    public static void main(String[] args) {

	System.out.println("sleep.main()");
	sleep sl = new sleep();
	sl.setParameters(new Object[] { String.valueOf(DEFAULT_SLEEP_LEN) });
	sl.compute();

    }

    private int s = DEFAULT_SLEEP_LEN;

    public static final int DEFAULT_SLEEP_LEN = 60;

}
