#!/bin/bash

if [ -z $1 ] ; then
  echo -e Usage: $0 peer_hostname
  exit
fi

JAR_DIR=../../jars
LBG_LIBS="${JAR_DIR}/lightweight_bartering_grid.jar:${JAR_DIR}/Azureus2.5.0.4.jar:${JAR_DIR}/commons-logging-1.1.jar:${JAR_DIR}/commons-math-1.1.jar:${JAR_DIR}/edtftpj.jar:${JAR_DIR}/ftpserver-dev.jar:${JAR_DIR}/jfreechart-1.0.9.jar:${JAR_DIR}/jcommon-1.0.12.jar:${JAR_DIR}/iText-2.0.8.jar"
# Give sleep.jdf to the submission interface
exec java $JAVA_FLAGS -cp ${LBG_LIBS} lbg.middleware.LaunchUserAgent -H $1 -P 50102 -p 50107 -i my_own_user_id -f sleep.jdf

