/*
 *  Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem
 *
 *  This file is part of Lightweight Bartering Grid.
 *  Lightweight Bartering Grid is free software;
 *  you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Lightweight Bartering Grid is distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Lightweight Bartering Grid; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Worflow.java

package lbg.peer.workflow;

import lbg.common.exception.*;
import java.io.Serializable;

/** A Workflow is an XML document describing the structure of a Job as a DAG
 * (whose vertices are Bag of Tasks and whose edges are precedence links).
 * A set of Bag of Tasks + a Workflow are required to create a complex Job.
 * @author Cyril Briquet
 */
public class Workflow implements Serializable {

	public Workflow() throws GridException {
		
		throw new GridException("yet to be implemented"); // TODO [WORKFLOW]
	
	}

	public String toString() {
	
		StringBuilder sb = new StringBuilder();
		
		sb.append("[Workflow]");
		
		return sb.toString();
		
	}

	static final long serialVersionUID = -7109307624708036522L;
	
}

